(* simplification of terms
   author: Walther Neuper 050912
   (c) due to copyright terms

use"IsacKnowledge/Simplify.ML";
use"Simplify.ML";
*)


(** interface isabelle -- isac **)

theory' := overwritel (!theory', [("Simplify.thy",Simplify.thy)]);

(** problems **)

store_pbt
 (prep_pbt Simplify.thy "pbl_simp" [] e_pblID
 (["simplification"],
  [("#Given" ,["term t_"]),
   ("#Find"  ,["normalform n_"])
  ],
  append_rls "e_rls" e_rls [(*for preds in where_*)], 
  Some "Simplify t_", 
  []));

(** methods **)

store_met
    (prep_met Simplify.thy "met_simp" [] e_metID
	      (["simplification"],
	       [("#Given" ,["term t_"]),
		("#Find"  ,["normalform n_"])
		],
	       {rew_ord'="tless_true",
		rls'= e_rls, 
		calc = [], 
		srls = e_rls, 
		prls=e_rls,
		crls = e_rls, nrls = e_rls},
	       "empty_script"
	       ));
